// 27/04/2017
// Francesco Sarracino
// f.sarracino@gmail.com
// Executing order of the dofiles to replicate the results of the paper: Comparability of web and telephone survey modes for the measurement of subjective well-being
// by Francesco Sarracino, Cesare F.A. Riillo and Malgorzata Mikucka

// To replicate the results of the paper, please, execute the dofiles in the following order:

// the file 00-websurvey-V01.do converts the original sav data in dta format.
do 00-websurvey-V01.do

// the file 01-websurvey-V03.do prepares the variables before the analysis
do 01-websurvey-V03.do


// the file 02-websurvey-V01.do prepares graphs and descriptive statistics
do 02-websurvey-V01.do

// the file 03-websurvey-V01.do  studies what predicts the participation in the web rather than in the telephone survey
do 03-websurvey-V01.do

// the file 04-websurvey-V01.do  runs the Blinder-Oaxaca decomposition
do 04-websurvey-V01.do

// the file 05-websurvey-V01.do runs the multinomial logit after CEM (Coarsened Exact Matching)
do 05-websurvey-V01.do